QGIS Application - Bug report #17504
"Pixel Size" and "no data value" in raster layer metadata missing (2.99)
2017-11-21 10:00 AM - George Roth

Status: Closed

Priority: High

Assignee:

Category: Metadata

Affected QGIS version:master Regression?: Yes

Operating System: Windows 10, Ubuntu 17.10 Easy fix?: Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25401
Description

In 2.14 (and all previous versions | can remember), you can find a raster's Pixel Size in map units in Layer Properties > Metadata.

It looks like this information is missing now in 2.99 (Layer Properties > Information). Screenshots from both 2.14 and 2.99 (weekly, Nov20
build) attached.

History

#1 - 2017-11-21 11:06 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2017-11-21 11:19 AM - George Roth

Whoops, | forgot to add that the "No Data Value" is also missing. That's another important one! Unless there was some debate and executive decision to

reduce the amount of information shown for rasters, wouldn't it be best to just show everything that 2.x shows?

#3 - 2017-11-21 11:21 AM - Giovanni Manghi

- Subject changed from Pixel Size in raster layer metadata missing (2.99) to "Pixel Size" and "no data value" in raster layer metadata missing (2.99)

#4 - 2017-11-23 08:41 AM - Etienne Trimaille

https://github.com/qgis/QGIS/pull/5700 is adding back all these information in the "Information" panel. I'm currently fixing the PR.

#5 - 2017-12-01 11:47 AM - Harrissou Santanna
- Pull Request or Patch supplied changed from No to Yes

#6 - 2017-12-13 12:31 PM - Tim Sutton
- Resolution set to fixed/implemented

This should be fixed in http://github.com/qgis/QGIS#5700

#7 - 2017-12-13 12:32 PM - Tim Sutton
- Status changed from Open to Closed
